do-release-upgrade
1 week ago in Plain Text
sudo do-release-upgrade 
Checking for a new Ubuntu release
Get:1 Upgrade tool signature [819 B]
Get:2 Upgrade tool [1 268 kB]
Fetched 1 269 kB in 0s (0 B/s)
authenticate 'hirsute.tar.gz' against 'hirsute.tar.gz.gpg'
extracting 'hirsute.tar.gz'

Reading cache

Checking package manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
Hit http://download.opensuse.org/repositories/devel:/kubic:/libcontainers:/stable:/cri-o:/1.18/xUbuntu_20.10 InRelease
Hit http://ppa.launchpad.net/cappelikan/ppa/ubuntu focal InRelease
Hit https://deb.nodesource.com/node_14.x groovy InRelease
Hit https://download.opensuse.org/repositories/devel:/kubic:/libcontainers:/stable/xUbuntu_20.10 InRelease
Hit https://packages.microsoft.com/repos/ms-teams stable InRelease
Hit http://cz.archive.ubuntu.com/ubuntu focal InRelease
Hit https://packages.riot.im/debian default InRelease
Hit http://security.ubuntu.com/ubuntu focal-security InRelease
Hit https://github.com/retorquere/zotero-deb/releases/download/apt-get ./ InRelease
Hit http://cz.archive.ubuntu.com/ubuntu focal-updates InRelease
Get:1 https://packages.cloud.google.com/apt kubernetes-xenial InRelease [9 383 B]
Hit http://cz.archive.ubuntu.com/ubuntu focal-backports InRelease
Hit http://cz.archive.ubuntu.com/ubuntu groovy InRelease
Hit https://packagecloud.io/slacktechnologies/slack/debian jessie InRelease
Fetched 9 383 B in 0s (0 B/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done

Traceback (most recent call last):
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeQuirks.py", line 197, in _get_from_and_to_version
di.version('%s' % self.controller.fromDist).split()[0]
AttributeError: 'UbuntuDistroInfo' object has no attribute 'version'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/hirsute", line 8, in <module>
sys.exit(main())
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeMain.py", line 236, in main
if app.run():
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeController.py", line 2024, in run
return self.fullUpgrade()
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeController.py", line 1860, in fullUpgrade
if not self.doPostInitialUpdate():
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeController.py", line 894, in doPostInitialUpdate
self.quirks.run("PostInitialUpdate")
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeQuirks.py", line 99, in run
func()
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeQuirks.py", line 118, in hirsutePostInitialUpdate
self._get_from_and_to_version()
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeQuirks.py", line 203, in _get_from_and_to_version
(r.version for r in di.get_all("object")
AttributeError: 'UbuntuDistroInfo' object has no attribute 'get_all'
Error in sys.excepthook:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/problem_report.py", line 477, in add_to_existing
self.write(f)
File "/usr/lib/python3/dist-packages/problem_report.py", line 430, in write
block = f.read(1048576)
File "/usr/lib/python3.8/codecs.py", line 322, in decode
(result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x8b in position 1: invalid start byte

Original exception was:
Traceback (most recent call last):
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeQuirks.py", line 197, in _get_from_and_to_version
di.version('%s' % self.controller.fromDist).split()[0]
AttributeError: 'UbuntuDistroInfo' object has no attribute 'version'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/hirsute", line 8, in <module>
sys.exit(main())
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeMain.py", line 236, in main
if app.run():
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeController.py", line 2024, in run
return self.fullUpgrade()
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeController.py", line 1860, in fullUpgrade
if not self.doPostInitialUpdate():
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeController.py", line 894, in doPostInitialUpdate
self.quirks.run("PostInitialUpdate")
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeQuirks.py", line 99, in run
func()
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeQuirks.py", line 118, in hirsutePostInitialUpdate
self._get_from_and_to_version()
File "/tmp/ubuntu-release-upgrader-mzoy5_xm/DistUpgrade/DistUpgradeQuirks.py", line 203, in _get_from_and_to_version
(r.version for r in di.get_all("object")
AttributeError: 'UbuntuDistroInfo' object has no attribute 'get_all'

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 20.10
Release: 20.10
Codename: groovy
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102